Name:          lxqt-panel
Version:       2.1.4
Release:       %mkrel 1
Summary:       Panel for the LXQt desktop
License:       LGPLv2+
Group:         Graphical desktop/KDE
URL:           https://lxqt-project.org/
Source0:       https://github.com/lxqt/lxqt-panel/releases/download/%{version}/%{name}-%{version}.tar.xz
# (doktor5000) add a custom panel configuration as default
# (daviddavid) modified/improved as of 20200524
Source1:       panel.conf

Patch0:        lxqt-panel-fix-desktop-entry.patch

BuildRequires: cmake
BuildRequires: cmake(lxqt-menu-data)
BuildRequires: cmake(lxqt2-build-tools)
BuildRequires: cmake(lxqt)
BuildRequires: cmake(lxqt-globalkeys) >= 0.10.0
BuildRequires: cmake(lxqt-globalkeys-ui) >= 0.10.0

BuildRequires: pkgconfig(sysstat-qt6)

BuildRequires: cmake(Qt6Concurrent)
BuildRequires: cmake(Qt6Core)
BuildRequires: cmake(Qt6Help)

BuildRequires: cmake(KF6Solid) >= 5.5.0
BuildRequires: cmake(KF6GuiAddons)
BuildRequires: cmake(LayerShellQt)

BuildRequires: pkgconfig(libpulse)
BuildRequires: pkgconfig(icu-uc)
BuildRequires: pkgconfig(libstatgrab)
BuildRequires: pkgconfig(libmenu-cache)
BuildRequires: pkgconfig(xcomposite)
BuildRequires: pkgconfig(xdamage)
BuildRequires: lm_sensors-devel
BuildRequires: pkgconfig(xrender)
BuildRequires: pkgconfig(alsa)
BuildRequires: pkgconfig(xcb-util)
BuildRequires: pkgconfig(xkbcommon)
BuildRequires: pkgconfig(xkbcommon-x11)
BuildRequires: pkgconfig(libmenu-cache)
BuildRequires: cmake(dbusmenu-lxqt)
BuildRequires: cmake(lxqt-globalkeys-ui)
BuildRequires: pkgconfig(xtst)

# (doktor5000) require qt6 plugins as otherwise menu and tasklist misbehave and display incorrectly
Requires:      kwindowsystem
Requires:      lxqt-themes
Requires:      lxqt-menu-data
Requires:      desktop-common-data

%description
Panel for the LXQt desktop.

%prep
%autosetup -p1

%build
%cmake_qt6
%cmake_build

%install
%cmake_install

# (doktor5000) add a custom panel configuration as default
mkdir -p %{buildroot}%{_sysconfdir}/xdg/lxqt
cp %{SOURCE1} %{buildroot}%{_sysconfdir}/xdg/lxqt/panel.conf

%files
%{_sysconfdir}/xdg/autostart/lxqt-panel.desktop
%{_sysconfdir}/xdg/lxqt/panel.conf
%{_bindir}/%{name}
%{_datadir}/lxqt/%{name}/
%{_datadir}/lxqt/panel.conf
%{_includedir}/lxqt
%{_libdir}/%{name}
%{_mandir}/man1/lxqt-panel.1.*
%{_datadir}/lxqt/translations/lxqt-panel/
%{_datadir}/lxqt/panel/qeyes-types/
%{_datadir}/applications/%{name}.desktop


%changelog
* Sun Jan 12 2025 daviddavid <daviddavid> 2.1.4-1.mga10
+ Revision: 2138191
- New version 2.1.4

* Thu Dec 19 2024 daviddavid <daviddavid> 2.1.3-1.mga10
+ Revision: 2126156
- new version: 2.1.3

* Thu Dec 19 2024 daviddavid <daviddavid> 2.1.2-1.mga10
+ Revision: 2126149
- new version: 2.1.2

* Tue Nov 05 2024 daviddavid <daviddavid> 2.1.0-1.mga10
+ Revision: 2112650
- New version 2.1.0

* Thu May 09 2024 papoteur <papoteur> 2.0.1-1.mga10
+ Revision: 2063130
- new version 2.0.1

* Fri Apr 19 2024 papoteur <papoteur> 2.0.0-1.mga10
+ Revision: 2059251
- new version 2.0.0
- switch to Qt6

* Tue Nov 07 2023 papoteur <papoteur> 1.4.0-2.mga10
+ Revision: 2004991
- add requirement on lxqt-menu-data

* Mon Nov 06 2023 papoteur <papoteur> 1.4.0-1.mga10
+ Revision: 2004874
- fix Build requires
- fix file list
- new 1.4.0

* Sun Apr 16 2023 papoteur <papoteur> 1.3.0-1.mga10
+ Revision: 1953319
- new version 1.3.0

* Mon Feb 06 2023 papoteur <papoteur> 1.2.1-3.mga9
+ Revision: 1938940
- rebuild for compilation with C++17 standard

* Tue Jan 03 2023 papoteur <papoteur> 1.2.1-2.mga9
+ Revision: 1929494
- fix directory owner on qeyes-types

* Tue Jan 03 2023 papoteur <papoteur> 1.2.1-1.mga9
+ Revision: 1929475
- new 1.2.1 adding qeyes

* Mon Nov 07 2022 papoteur <papoteur> 1.2.0-1.mga9
+ Revision: 1904339
- new version 1.2.0

* Tue Apr 26 2022 papoteur <papoteur> 1.1.0-1.mga9
+ Revision: 1853805
- Release 1.1.0

* Sun Dec 12 2021 neoclust <neoclust> 1.0.0-1.mga9
+ Revision: 1761796
- New version 1.0.0

* Fri Apr 16 2021 daviddavid <daviddavid> 0.17.1-1.mga9
+ Revision: 1716053
- New version 0.17.1

* Thu Dec 17 2020 umeabot <umeabot> 0.16.1-2.mga8
+ Revision: 1658996
- Rebuild for new Qt5

* Tue Nov 17 2020 daviddavid <daviddavid> 0.16.1-1.mga8
+ Revision: 1646788
- New version 0.16.1

* Sat Nov 07 2020 daviddavid <daviddavid> 0.16.0-1.mga8
+ Revision: 1643181
- New version 0.16.0

* Fri Oct 23 2020 daviddavid <daviddavid> 0.15.1-2.mga8
+ Revision: 1638693
- pull in BR pkgconfig(xdamage) to fix build
- update Url

* Thu May 28 2020 daviddavid <daviddavid> 0.15.1-1.mga8
+ Revision: 1588361
- New version: 0.15.1

* Sun May 24 2020 daviddavid <daviddavid> 0.15.0-5.mga8
+ Revision: 1587291
- move the lxqt-leave button to the right of the panel
- change apps/size to 6

* Sat May 23 2020 daviddavid <daviddavid> 0.15.0-4.mga8
+ Revision: 1587035
- add lxqt-leave on panel by default (mga#26144)
- change apps/size to 4

* Sat May 23 2020 daviddavid <daviddavid> 0.15.0-3.mga8
+ Revision: 1587014
- add mixer on panel by default (mga#26144)
- add desktop switcher on panel by default (mga#26144)
- add statusnotifier on panel by default
- add the date in worldclock plugin
- add falkon quick launch entry
- add trojita quick launch entry

* Sat May 23 2020 daviddavid <daviddavid> 0.15.0-2.mga8
+ Revision: 1586979
- add mageia drakconf quick launch entry (mga#26670)

* Sat Apr 25 2020 daviddavid <daviddavid> 0.15.0-1.mga8
+ Revision: 1571978
- New version 0.15.0

* Sun Feb 16 2020 umeabot <umeabot> 0.14.1-4.mga8
+ Revision: 1534616
- Mageia 8 Mass Rebuild
+ daviddavid <daviddavid>
- remove deprecated lxqt-mount
+ wally <wally>
- build with new cmake macros

* Sat Oct 05 2019 daviddavid <daviddavid> 0.14.1-3.mga8
+ Revision: 1449455
- rebuild for new icu 65.1

* Sun Mar 31 2019 umeabot <umeabot> 0.14.1-2.mga7
+ Revision: 1383294
- Qt5 Rebuild

* Thu Mar 28 2019 daviddavid <daviddavid> 0.14.1-1.mga7
+ Revision: 1380834
- new version: 0.14.1

* Sun Jan 27 2019 daviddavid <daviddavid> 0.14.0-1.mga7
+ Revision: 1361372
- New version 0.14.0

* Sat Dec 29 2018 luigiwalser <luigiwalser> 0.13.0-4.mga7
+ Revision: 1346548
- rebuild for lm_sensors

* Fri Dec 28 2018 daviddavid <daviddavid> 0.13.0-3.mga7
+ Revision: 1345475
- rebuild for new Qt5 5.12.0

* Fri Aug 24 2018 daviddavid <daviddavid> 0.13.0-2.mga7
+ Revision: 1253680
- rebuild for new libstatgrab 0.91

* Sun Jun 10 2018 daviddavid <daviddavid> 0.13.0-1.mga7
+ Revision: 1236034
- New version 0.13.0

* Mon Apr 30 2018 neoclust <neoclust> 0.12.0-4.mga7
+ Revision: 1224049
- Update LxQt customisation

* Tue Nov 07 2017 neoclust <neoclust> 0.12.0-3.mga7
+ Revision: 1176450
- Add new lxqt-themes deps

* Mon Nov 06 2017 neoclust <neoclust> 0.12.0-2.mga7
+ Revision: 1176120
- Lxqt-common does not exist anymore

* Thu Nov 02 2017 neoclust <neoclust> 0.12.0-1.mga7
+ Revision: 1175588
- New version 0.12.0

* Fri Mar 17 2017 mrambo3501 <mrambo3501> 0.11.1-3.mga6
+ Revision: 1093322
- add BR for extra-cmake-modules
- Rebuild for icu-58.2
+ ghibo <ghibo>
- Update to release 0.11.1

* Tue Nov 08 2016 neoclust <neoclust> 0.11.0-1.mga6
+ Revision: 1065969
- New version 0.11.0

* Sat May 14 2016 shlomif <shlomif> 0.10.0-7.mga6
+ Revision: 1015288
- Rebuild for the new UCI (new major)

* Mon Mar 28 2016 doktor5000 <doktor5000> 0.10.0-6.mga6
+ Revision: 995913
+ rebuild (emptylog)

* Tue Feb 23 2016 doktor5000 <doktor5000> 0.10.0-5.mga6
+ Revision: 977405
- update translations during build if necessary
- added Requires on kwindowsystem to fix panel/tasklist display issues
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Tue Nov 10 2015 neoclust <neoclust> 0.10.0-3.mga6
+ Revision: 900896
- Rebuild against fixed qtbase5
- Use qt5 cmake macro

* Mon Nov 09 2015 neoclust <neoclust> 0.10.0-1.mga6
+ Revision: 900179
- New version 0.10.0

* Sun Mar 08 2015 doktor5000 <doktor5000> 0.9.0-4.mga5
+ Revision: 818125
- change default menu file to %%{_sysconfdir}/xdg/menus/lxqt-applications.menu
  o fixes application menu display and structure
- add versioned Requires on lxqt-common to ensure .menu file is present
- added custom panel config as default panel
- delete default panel config, seems to not be read properly on first start

* Sun Feb 22 2015 tmb <tmb> 0.9.0-3.mga5
+ Revision: 816499
- BR: pkgconfig(xcb-util)
- BR: kguiaddons-devel
+ doktor5000 <doktor5000>
- new version 0.9.0
- dropped patches
  o lxqt-panel-0.8-mga-undefined-references.patch (merged upstream)
  o lxqt-panel-0.8-mga-add-panel-transparency.patch (merged upstream)
  o lxqt-panel-0.7.0-mga-customize-default-panel.patch (done via custom theme)
- rediffed lxqt-panel-0.9-mga-lxqtmount-includes.patch
- updated URL to http://downloads.lxqt.org/lxqt/
- remove conditional handling for QT5 as QT4 is not supported anymore
- adjusted BuildRequires from pkgconfig(lxqt-qt5) to pkgconfig(lxqt)

* Wed Dec 17 2014 doktor5000 <doktor5000> 0.8.0-3.mga5
+ Revision: 803665
- rebuild for QT 5.4 breakage

* Sat Oct 25 2014 doktor5000 <doktor5000> 0.8.0-2.mga5
+ Revision: 793185
+ rebuild (emptylog)

* Sun Oct 19 2014 doktor5000 <doktor5000> 0.8.0-1.mga5
+ Revision: 789596
- add missing BuildRequires on BuildRequires: pkgconfig(xrender)
- add missing BuildRequires on BuildRequires: pkgconfig(alsa)
- add missing BuildRequires on BuildRequires: pkgconfig(Qt5Help)
- added BuildRequires on pkgconfig(alsa)
- added patch to fix lxqt-mount includes
- added patch to fix undefined references
- new version 0.8
- enabled QT5 build
- correct license

* Wed Oct 15 2014 umeabot <umeabot> 0.7.0-5.mga5
+ Revision: 740284
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.7.0-4.mga5
+ Revision: 682093
- Mageia 5 Mass Rebuild

* Sat Sep 13 2014 wally <wally> 0.7.0-3.mga5
+ Revision: 675026
- obsolete razorqt-panel

* Thu Jul 31 2014 doktor5000 <doktor5000> 0.7.0-2.mga5
+ Revision: 658717
- customize default panel
  o add show desktop widget
  o add default launchers for terminal, systemsettings and drakconf
  o add another quicklaunch widget to preserve hint text

* Thu May 22 2014 doktor5000 <doktor5000> 0.7.0-1.mga5
+ Revision: 624960
- add BuildRequires on lm_sensors
- add BuildRequires on xcomposite
- fix BuildRequires on libsysstat
- add BuildRequires on lxqt-globalkeys-ui
- imported package lxqt-panel


* Fri May 09 2014 doktor5000 <doktor5000@mageia.org> 0.7.0-1
- initially packaged for Mageia

